Last Comment Bug 866287 - What should the app locale listings look like?
: What should the app locale listings look like?
Status: RESOLVED FIXED
:
Product: Marketplace
Classification: Server Software
Component: Developer Pages (show other bugs)
: 1.0
: All All
: P1 normal (vote)
: 2013-05-02
Assigned To: Davor Spasovski [:spasovski]
:
Mentors:
Depends on:
Blocks: 866285 866288
  Show dependency treegraph
 
Reported: 2013-04-26 14:32 PDT by Wil Clouser [:clouserw]
Modified: 2013-05-03 13:27 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
edit listing page - country and language - 01 (515.99 KB, image/png)
2013-04-28 17:59 PDT, Bram Pitoyo [:bram]
no flags Details
submit an app - country and language - 01 (523.58 KB, image/png)
2013-04-28 19:31 PDT, Bram Pitoyo [:bram]
no flags Details
edit listing page - country and language - 02 (1.02 MB, image/png)
2013-04-28 20:37 PDT, Bram Pitoyo [:bram]
no flags Details
country and language info box - 01 (47.66 KB, image/png)
2013-04-28 22:32 PDT, Bram Pitoyo [:bram]
no flags Details

Description Wil Clouser [:clouserw] 2013-04-26 14:32:29 PDT
We need to support showing developers what locales we're assuming their app supports.  This does not include editing those locales or showing these locales to end users.  This is simply a display in the submission flow and/or edit pages.

We've talked about this before so I think we're good here but let me know if this bug isn't clear.
Comment 1 Bram Pitoyo [:bram] 2013-04-28 17:59:16 PDT
Created attachment 742869 [details]
edit listing page - country and language - 01

This is what the edit listing page should look like today, with country and language information added.

Keep in mind that I changed the wording of “region” or “locale” into something that would clearly differentiate: “country” and “language”, because these two have distinct values.

Another bit of text I changed is “Localize for: English (US)”. In order to clarify the intent of this menu, I changed the text to say “Edit listing in: English (US)”. I also moved this text to the left-hand side of the page to be more findable.
Comment 2 Wil Clouser [:clouserw] 2013-04-28 18:07:05 PDT
Country is not controlled by the manifest.  Only language is.  I like the other changes.
Comment 3 Bram Pitoyo [:bram] 2013-04-28 19:31:08 PDT
Created attachment 742886 [details]
submit an app - country and language - 01

This mockup visualizes the country and language fields in the submit an app page. Again, since they’re not changeable unless you modify the manifest file, you won’t be able to edit them on the page.
Comment 4 Bram Pitoyo [:bram] 2013-04-28 20:37:03 PDT
Created attachment 742896 [details]
edit listing page - country and language - 02

In the future, we’ll redesign the Edit Listing interface to enable in-line editing. When this happens, this mockup shows how we can show country and language information on the page.
Comment 5 Bram Pitoyo [:bram] 2013-04-28 20:52:41 PDT
(In reply to Wil Clouser [:clouserw] from comment #2)
> Country is not controlled by the manifest.  Only language is.  I like the
> other changes.

This sounds good, but it brings up another problem: where should user modify country information? The tricky thing is, country selection is related to both language and pricing, so it can exist on both pages. But then it’d be somewhat confusing.

Country information can exist on either one of these pages:
* On the Edit Listing page — display country alongside language
* On the Compatibility/Payment page – display country alongside price

Should we allow country information to be editable from two places? This would  be confusing. Should we merge compatibility and payment along with edit listing? This is a monumental effort that will make the merged page very lengthy.
Comment 6 Wil Clouser [:clouserw] 2013-04-28 21:33:38 PDT
(In reply to Bram Pitoyo [:bram] from comment #5)
> (In reply to Wil Clouser [:clouserw] from comment #2)
> > Country is not controlled by the manifest.  Only language is.  I like the
> > other changes.
> 
> This sounds good, but it brings up another problem: where should user modify
> country information? The tricky thing is, country selection is related to
> both language and pricing, so it can exist on both pages. But then it’d be
> somewhat confusing.
> 
> Country information can exist on either one of these pages:
> * On the Edit Listing page — display country alongside language
> * On the Compatibility/Payment page – display country alongside price
> 
> Should we allow country information to be editable from two places? This
> would  be confusing. Should we merge compatibility and payment along with
> edit listing? This is a monumental effort that will make the merged page
> very lengthy.

If you want to show country on this page just change the text that you currently have telling them to edit their manifest to something like "Change countries under compatibility options" (or whatever that page is called) and make it a link to the page.
Comment 7 Bram Pitoyo [:bram] 2013-04-28 22:32:14 PDT
Created attachment 742921 [details]
country and language info box - 01

Based on Wil’s idea on comment 6, here’s a mockup of the country and language info box with captions. User can edit country by going to the compatibility/payment page, and edit language by modifying the app manifest file.
Comment 8 Wil Clouser [:clouserw] 2013-04-29 11:17:50 PDT
Thanks.  

I think it should say "Edit countries from..." instead of "Edit country in..."

I think we should link to the section in the docs (bug 866286) where it says to edit languages in the manifest file, since it isn't super clear how to do that.

For the help text, country we can probably steal from the current page.  For language how about "Languages your app is localized for.  These are automatically detected from the manifest." ?
Comment 9 Bram Pitoyo [:bram] 2013-04-29 23:03:43 PDT
I like your suggestions. To summarize the changes:

Country
Help text: Country-specific Marketplaces your app is listed in
Edit text: Edit countries from the Compatibility page (link: app/payments/)

Language
Help Text: Languages your app is localized for
Edit text: Edit language in the app manifest file (link: d.m.o/docs/Apps/Manifest#locales)
Comment 10 Davor Spasovski [:spasovski] 2013-04-30 13:50:53 PDT
Seems like this is ready for implementation. I'll take over the UI work.
Comment 11 Rob Hudson [:robhudson] 2013-05-01 17:43:44 PDT
https://github.com/mozilla/zamboni/commit/8a65ca1 adds a model method to get the localized names from the current version.
Comment 12 Davor Spasovski [:spasovski] 2013-05-02 14:33:58 PDT
doneth: https://github.com/mozilla/zamboni/commit/947957b

Note You need to log in before you can comment on or make changes to this bug.